Subject: Re: bug#12447: 24.1.50; Stuck in garbage collection on OS X

From: Dmitry Gutov <[email-masked]>
Date: Fri, 21 Sep 2012 14:49:50 +0400

On 21.09.2012 13:09, Chong Yidong wrote:
> Eli Zaretskii <[email-masked]> writes:
>
>>> What is the package that relies on the old behavior?
>>
>> js2-mode, see bug #12326 (merged with this one).
>
> I'm confused.  You just said that js2-mode needed a code change:
>
>>> The one I posted in #12326: calling timer-activate-when-idle with nil
>>> DONT-WAIT argument.
>>
>> I don't think that's a workaround.  I think that's what js2 should do,
>> if (AFAIU) it wants the timer handler be invoked once, after Emacs has
>> been idle for more than 1 sec.
>
> If I understand correctly, js2-mode (prior to the workaround) assumed
> the new behavior: it called run-with-idle-timer from inside the idle
> timer, with the same delay, with the intention of scheduling for the
> next period of idleness.

Like I mentioned, the new behavior makes more sense for it, but it 
worked almost the same with the old behavior until the infloop problem.